Unit objects;

interface

uses OpenGL15;
  {$WARNINGS OFF}
  {$OPTIMIZATION ON}

var
  FOV         : INTEGER =72;               //   = 90*   4:3
  ZMIN        : SINGLE  =1;                //    3
  ZMAX        : SINGLE  =5500;             //    3 (    )

function  IntToStr(Num : Integer) : String;
Function  Booltostr(B:Boolean) : String;
Procedure SetProjection(W, H: integer; Ortho: boolean);

implementation

Procedure SetProjection(W, H: integer; Ortho: boolean);
begin

  glMatrixMode(GL_PROJECTION);
  glLoadIdentity();

  if ortho then
    glOrtho(0, w, h, 0, -1, 100)
  else
    gluPerspective(FOV, W/H, zmin, Zmax);

  glMatrixMode(GL_MODELVIEW);
  glLoadIdentity();

end;

function IntToStr(Num : Integer) : String;
begin
  Str(Num, result);
end;

Function Booltostr(B:Boolean) : String;
begin
if b = true then result := '' else result := '';
end;

end.