
#ifndef _EXTENSION_WRAPPER_H_
#define _EXTENSION_WRAPPER_H_

#include <GL/gl.h>
//#define GL_GLEXT_PROTOTYPES
#include <GL/glext.h>

extern "C" {

    extern bool isExtSupported(const char* ext);

    // GL_ARB_vertex_buffer_object
    extern PFNGLBINDBUFFERARBPROC glBindBufferARB;
    extern PFNGLDELETEBUFFERSARBPROC glDeleteBuffersARB;
    extern PFNGLGENBUFFERSARBPROC glGenBuffersARB;
    extern PFNGLISBUFFERARBPROC glIsBufferARB;
    extern PFNGLBUFFERDATAARBPROC glBufferDataARB;
    extern PFNGLBUFFERSUBDATAARBPROC glBufferSubDataARB;
    extern PFNGLGETBUFFERSUBDATAARBPROC glGetBufferSubDataARB;
    extern PFNGLMAPBUFFERARBPROC glMapBufferARB;
    extern PFNGLUNMAPBUFFERARBPROC glUnmapBufferARB;
    extern PFNGLGETBUFFERPARAMETERIVARBPROC glGetBufferParameterivARB;
    extern PFNGLGETBUFFERPOINTERVARBPROC glGetBufferPointervARB;

    extern bool initGL_ARB_vertex_buffer_object();
}

#endif
